#

## undo

Undo commands

### Shortcuts:

> Key macro U implements the command undo.

### Usage:

> undo [print [count]]

> > where count indicates a number of events to be undone (default 1 event), and must be a nonzero positive integer.

### Summary:

> The undo command reverses the effect of the last executed command (command-line, script, or macro-invoked), returning the layout to the state it was in prior to execution of that command.

> Certain commands in magic disable the undo mechanism, thus preventing the command from being undone. These include layout reads and writes, CIF, GDS, and LEF/DEF reads and writes. The print option generates a stack trace of the top count events in the undo stack, in excruciating detail.

### Implementation Notes:

> undo is implemented as a built-in window command in magic.

### See Also:

> redo

Return to command index

Last updated: October 15, 2004 at 5:55am